> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of Spark master processes in the cluster



## OpenAPI

````yaml /api-reference/4.2/service-spark.json get /spark/master/config
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service spark
servers:
  - url: /api/apollo/
security: []
tags:
  - name: spark
paths:
  /spark/master/config:
    get:
      tags:
        - 4.2 Spark API
      summary: Get a list of Spark master processes in the cluster
      operationId: getMasters
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MasterConfig'
components:
  schemas:
    MasterConfig:
      type: object
      properties:
        host:
          type: string
          readOnly: true
        port:
          type: integer
          format: int32
          readOnly: true
        webUIPort:
          type: integer
          format: int32
          readOnly: true

````